Bug 756161

Summary: After screen sleeps from DPMS activation, it stays dim.
Product: [Fedora] Fedora Reporter: william hanlon <whanlon>
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: ajax, kjb, lsof, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 03:03:20 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Xorg log none

Description william hanlon 2011-11-22 15:49:11 EST
Created attachment 535176 [details]
Xorg log

Description of problem:
When DPMS activates on my laptop and then the display is activated again, the display stays very dim. I can barely see that it's on at all. Trying to use the brightness function keys doesn't help either.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.17.0-1.fc16.i686

How reproducible:
Always.


Steps to Reproduce:
1. xset dpms force off
2. move the mouse to activate the display

  
Actual results:
The screen brightness is too low to see anything. It's barely bright enough to see that it's even still functioning.

Expected results:
Screen should reawaken at normal brightness.

Additional info:
ctrl-alt-backspace resets the x server and restores screen brightness.

This wasn't a problem until a very recent update in some package within the last week or two (not sure which one). This problem started with me on Fedora 15 after I updated my system a few days ago. I performed a fresh install of Fedora 16 yesterday and this problem is still present.

My graphics controller information:
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])
        Subsystem: Lenovo Device 3870
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at f0500000 (32-bit, non-prefetchable) [size=512K]
        Region 1: I/O ports at 1800 [size=8]
        Region 2: Memory at d0000000 (32-bit, prefetchable) [size=256M]
        Region 3: Memory at f0600000 (32-bit, non-prefetchable) [size=256K]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable- Count=1/1 Maskable- 64bit-
                Address: 00000000  Data: 0000
        Capabilities: [d0] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Kernel driver in use: i915
        Kernel modules: i915
Comment 1 Klaasjan Brand 2011-11-24 08:09:03 EST
Same problem here. Smolt ID is pub_af00c368-f9a2-430c-83f7-7c4e81c35311
Comment 2 william hanlon 2011-12-14 15:54:24 EST
Will this bug be assigned? I keep getting bit by it hard. The system is completely unusable after it sleeps if one forgets to disable DPMS, which is not ideal anyway, since it is not energy efficient to leave the display constantly on.

Does anyone know how to run the command "xset -dpms" when gnome starts? I'm not familiar with how gnome does this (.config/autostart I think, but not completely sure yet).
Comment 3 william hanlon 2011-12-26 20:18:20 EST
This may be resolved now. There's been a few kernel updates over the past couple of weeks. Today I tried letting DPMS put my monitor to sleep and after waking it up it seemed to work fine. It's been working OK all day now...
Comment 4 Need Real Name 2012-08-09 12:40:47 EDT
I am expecting a similar issue with recent kernels. Reported under bug 847090. Noted that this is a data loss bug since all of my GUI apps lose state.
Comment 5 Fedora End Of Life 2013-01-16 04:59:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 03:03:24 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.